# STXPostCondition | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- STXPostCondition

## Index

### Properties

- amount
- conditionCode
- conditionType
- principal
- type

## Properties

### Readonly amount

amount: BigNum

- Defined in packages/transactions/src/postcondition.ts:33

### Readonly conditionCode

conditionCode: FungibleConditionCode

- Defined in packages/transactions/src/postcondition.ts:32

### Readonly conditionType

conditionType: STX

- Defined in packages/transactions/src/postcondition.ts:30

### Readonly principal

principal: PostConditionPrincipal

- Defined in packages/transactions/src/postcondition.ts:31

### Readonly type

type: PostCondition

- Defined in packages/transactions/src/postcondition.ts:29

Generated using TypeDoc